# Class TableRowHeightAttributes

#### Hierarchy

- XmlAttributeComponent<{
  rule: HeightRule;
  value: number | string;
  }>
  - TableRowHeightAttributes

- Defined in file/table/table-row/table-row-height.ts:25

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new TableRowHeightAttributes(root): TableRowHeightAttributes

- #### Parameters

  - ##### root: {
    rule: HeightRule;
    value: string | number;
    }

    - ##### `Readonly` rule: HeightRule

    - ##### `Readonly` value: string | number

  #### Returns TableRowHeightAttributes

  Inherited from XmlAttributeComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:12

## Methods

### prepForXml

- prepForXml(_): IXmlableObject

- #### Parameters

  - ##### _: IContext

  #### Returns IXmlableObject

  Inherited from XmlAttributeComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:16

Generated using TypeDoc